{% extends "base.html" %}{% load static %}
{% load goods_tags %}

{% block modal_cart %}
    {% include "includes/cart_button.html" %}
{% endblock modal_cart %}

{% block content %}
<!-- Контент на странице -->
<div class="row">
    <!-- Форма фильтров -->
    <div class="dropdown mb-2">
        <button class="btn btn-secondary dropdown-toggle btn-dark" type="button" data-bs-toggle="dropdown"
            aria-expanded="false">
            Фильтры
        </button>

        <form action="{% if request.GET.q %}{% url 'catalog:search' %}{% else %}{% url 'catalog:index' slug_url %}{% endif %}"
              method="get" class="dropdown-menu bg-dark" data-bs-theme="dark">
            <div class="form-check text-white mx-3">
                <input class="form-check-input" type="checkbox" name="on_sale" id="flexCheckDefault" value="on" {% if request.GET.on_sale == "on" %}checked{% endif %}>
                {% if request.GET.q %}
                    <input type="hidden" name="q" value="{{ request.GET.q }}">
                {% endif %}
                <label class="form-check-label" for="flexCheckDefault">
                    Товары по акции
                </label>
            </div>
            <p class="text-white mx-3 mt-3">Сортировать:</p>
            <div class="form-check text-white mx-3">
                <input class="form-check-input" type="radio" name="order_by" id="flexRadioDefault1" value="default"
                {% if not request.GET.order_by or request.GET.order_by == "default" %}checked{% endif %}>
                <label class="form-check-label" for="flexRadioDefault1">
                    По умолчанию
                </label>
            </div>
            <div class="form-check text-white mx-3">
                <input class="form-check-input" type="radio" name="order_by" id="flexRadioDefault2" value="price"
                 {% if request.GET.order_by == "price" %}checked{% endif %}>
                <label class="form-check-label" for="flexRadioDefault2">
                    От дешевых к дорогим
                </label>
            </div>
            <div class="form-check text-white mx-3">
                <input class="form-check-input" type="radio" name="order_by" id="flexRadioDefault3" value="-price"
                 {% if request.GET.order_by == "-price" %}checked{% endif %}>
                <label class="form-check-label" for="flexRadioDefault3">
                    От дорогих к дешевым
                </label>
            </div>
            <button type="submit" class="btn btn-primary mx-3 mt-3">Применить</button>
        </form>
    </div>

    {% if request.GET.q %}
        <h3 class="mt-4">Search results for the query</h3>
        {% if not goods %}
            <link rel="stylesheet" href="{% static 'deps/css/my_footer_css.css' %}">
            <h2 class="mt-4">Nothing found for your search</h2>
        {% endif %}
    {% endif %}

    {% for product in goods %}
        <!-- Карта товара -->
        <div class="col-lg-4 col-md-6 p-4">
            <div class="card border-primary rounded custom-shadow">
                {% if product.image %}
                    <img src="{{ product.image.url }}" class="card-img-top" alt="{{ product.name }}">
                {% else %}
                    <img src="{% static 'deps/images/Not found image.png' %}" class="card-img-top" alt="...">
                {% endif %}
                <div class="card-body">
                    <a href="{% url "catalog:product" product.slug %}">
                        <p class="card-title">
                            {% autoescape off %}
                                {% if product.headLine %}{{ product.headLine }}
                                {% else %}{{ product.name }}
                                {% endif %}
                            {% endautoescape %}
                        </p>
                    </a>
                    <p class="card-text text-truncate">
                        {% autoescape off %}
                            {% if product.bodyLine %}{{ product.bodyLine }}
                            {% else %}{{ product.description }}
                            {% endif %}
                        {% endautoescape %}
                    </p>
                    <p class="product_id">id: {{ product.display_id }}</p>
                    <div class="d-flex justify-content-between">

                        {% if product.discount %}
                            <p><s>{{ product.price }}</s> $</p>
                            <p><strong>{{ product.sell_price }} $</strong></p>
                            <span class="badge bg-warning text-dark">Скидка {{ product.discount }} %</span>
                        {% else %}
                            <p><strong>{{ product.price }} $</strong></p>
                        {% endif %}

                        <a href="{% url 'cart:cart_add' %}" class="btn add-to-cart"
                        data-product-id="{{ product.id }}">
                            {% csrf_token %}
                            <img class="mx-1" src="{% static 'deps/icons/cart-plus.svg' %}" alt="Catalog Icon"
                                width="32" height="32">
                        </a>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}



</div>
<!-- Пагинация -->
{% if goods %}
    <nav aria-label="Page navigation example">
    <ul class="pagination justify-content-center my-4">
        <div class="custom-shadow d-flex">
            <li class="page-item {% if not goods.has_previous %}disabled{% endif %}">
              <a class="page-link" href="{% if goods.has_previous %}?{% change_params page=goods.previous_page_number %}
              {% else %}#
              {% endif %}">Previous</a>
            </li>

            {% for page in goods.paginator.page_range %}
                {% if page >= goods.number|add:-2 and page <= goods.number|add:2 %}
                    <li class="page-item {% if goods.number == page %}active{% endif %}">
                        <a class="page-link" href="?{% change_params page=page %}">{{ page }}</a>
                    </li>
                {% endif %}
            {% endfor %}

            <li class="page-item {% if not goods.has_next %}disabled{% endif %}">
              <a class="page-link" href="{% if goods.has_next %}?{% change_params page=goods.next_page_number %}
              {% else %}#
              {% endif %}">Next</a>
            </li>
        </div>
    </ul>
</nav>
{% endif %}
{% endblock %}

{% block footer %}
<footer class="py-4 bg-dark">
    <div class="container">
        <p class="m-0 text-center text-white">Copyright &copy; sun7hqr 2024</p>
    </div>
</footer>
{% endblock %}